Name:          orson
Version:       0.5.0
Release:       %mkrel 6
Summary:       Orson Chart Beans
Group:         Development/Java
License:       LGPL
Url:           http://www.jfree.org/orson/ 
Source0:       http://sourceforge.net/projects/orson/files/orson/0.5.0/orson-0.5.0.zip
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jcommon
BuildRequires: jfreechart
BuildRequires: jpackage-utils
BuildRequires: junit
Requires:      jpackage-utils
BuildArch:     noarch

%description
Orson is a collection of JavaBeans for charting, backed by the popular 
JFreeChart library.  This package provides a simple way for developers to use 
the most common chart types/features from JFreeChart from within a JavaBeans 
design time environment (such as NetBeans).

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n orson-%{version}
for j in $(find . -name "*.jar"); do
  mv $j $j.no
done
for c in $(find . -name "*.class"); do
  rm -rf $c
done
pushd lib
  ln -sf $(build-classpath jcommon) jcommon-1.0.10.jar
  ln -sf $(build-classpath jfreechart/jfreechart) jfreechart-1.0.6.jar
  ln -sf $(build-classpath junit) junit-4.3.1.jar
popd
%build
ant -f ant/build.xml
%install
install -d %{buildroot}%{_javadir}
install -d %{buildroot}%{_javadocdir}/%{name}

install -m 644 %{name}-%{version}.jar  %{buildroot}%{_javadir}/%{name}.jar
cp -rp javadoc/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%doc ChangeLog README.txt licence-LGPL.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.5.0-6.mga6
+ Revision: 950104
- Mageia 6 Mass Rebuild

* Wed Oct 22 2014 danf <danf> 0.5.0-5.mga5
+ Revision: 792414
- Look for junit instead of junit4

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.0-3.mga4
+ Revision: 508786
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.5.0-2.mga3
+ Revision: 362204
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 06 2011 gil <gil> 0.5.0-1.mga2
+ Revision: 164031
- imported package orson

